#! /bin/sh

export LANG=C

export GISBASE="/usr/local/grass-7.0.svn/"
export PATH=$PATH:$GISBASE/bin:$GISBASE/scripts
export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:$GISBASE/lib
export PYTHONPATH="$GISBASE/etc/python:$PYTHONPATH"

BASE=`pwd`

export GISDBASE=$BASE
export MAPSET=PERMANENT

export LOCATION_NAME=lambert_africa
#export GISRC=
echo "GISDBASE: $GISDBASE
MAPSET: $MAPSET
LOCATION_NAME: $LOCATION_NAME
GRASS_GUI: text" > $HOME/.grassrc7_$LOCATION_NAME
export GISRC=$HOME/.grassrc7_$LOCATION_NAME

rm -rf $LOCATION_NAME
mkdir -p $LOCATION_NAME/$MAPSET
cp -a projections/af_hydro1k/* $LOCATION_NAME/$MAPSET

db.connect driver=sqlite database='$GISDBASE/$LOCATION_NAME/$MAPSET/sqlite.db'

eval `g.region -gp`
r.in.bin -b -s input=./af_fa.bil output=continent_fa rows=$rows cols=$cols north=$n east=$e south=$s west=$w bytes=4 anull=-9999

g.region n=3627500 s=3444500 w=-1153499.875 e=-865499.8125

x=-1106401.92981026
y=3496873.48328468
#x=0
#y=0
r.circle output=circle10 coordinate=$x,$y min=0 max=10000
echo "$x|$y|1" | r.in.xyz input=- output=seed
r.patch input=seed,circle10 output=circle10_seed

r.mask circle10_seed

nr=0
#r.mask input=circle10_seed
while [ $nr -le 10 ]; do
  r.mapcalc "result_$nr = continent_fa - circle10_seed"
  nr=`expr $nr '+' 1`
  sleep 0.5
done
